Subject: Re: [PATCH 2.6.8-rc3-mm1 1/2] 8139too: Rx fifo/overflow recovery

From: Jeff Garzik <[email-masked]>
Date: Wed, 11 Aug 2004 15:17:31 -0400

Francois Romieu wrote:
> This patch allows to update the interrupt status register after an 
> Rx overflow or a Rx fifo error even when the Rx buffer contains no packet.
> As a side effect it saves a few heavy (i.e. flushed) pci ops per received
> packet when several packets are received at the same time.

You _want_ to update those registers on every packet.  Otherwise the 
crappy 8139 chip breaks.

	Jeff